import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class FileService {

  constructor(private http: HttpClient) { }

  /**
   * 查询列表
   * @param params
   * @param callBack
   */
  public getFileRecordsList(params: object, callBack:any) {
    this.http.get(environment.baseUrl + 'file/getFileRecordsList?' + ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询详情
   * @param id
   * @param callBack
   */
  public findFileRecords(id: number, callBack:any) {
    this.http.get(environment.baseUrl + 'file/findFileRecords?id=' + id + "&time=" + new Date().getTime()).subscribe(data => {
      callBack(data);
    });
  }

  public getDownLoad(id: number, callBack:any) {
    this.http.get(environment.baseUrl + 'file/getDownLoad?id=' + id + "&time=" + new Date().getTime()).subscribe(data => {
      callBack(data);
    });
  }

}
