import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class RechargeService {

  constructor(private http: HttpClient) { }

  /**
   * 编辑金额
   * @param params
   * @param callBack
   */
  public editPrice(params: object, callBack:any) {
    this.http.post(environment.baseUrl + 'price/editPrice', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询列表
   * @param params
   * @param callBack
   */
  public getList(params: object, callBack:any) {
    this.http.get(environment.baseUrl + 'price/getListPrice?' + ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 删除
   * @param id
   * @param callBack
   */
  public delete(id: number, callBack:any) {
    this.http.get(environment.baseUrl + 'price/delete?id=' + id ).subscribe(data => {
      callBack(data);
    });
  }
}
