import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class MeituanService {
  constructor(private http: HttpClient) { }

  /**
   * 查询订单列表
   * @param param
   * @param callBack
   */
  public getListMeiTuan(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'orderMeiTuan/getListMeiTuan?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 订单导出
   * @param param
   * @param callBack
   */
  public exportMeiTuanOrder(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'orderGoods/exportGoodsOrder?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }


}
