import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OrderCinemaService {

  constructor(private http: HttpClient) { }

  /**
   * 查询订单列表
   * @param param
   * @param callBack
   */
  public getListCinema(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'orderCinema/getListCinema?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  public queryOrder(param: any, callBack:any) {
    param.time = new Date().getTime();
    this.http.get(environment.orderUrl + 'orderCinema/queryOrder?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }
}
