import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OrderStarbucksService {

  constructor(private http: HttpClient) { }

  /**
   * 查询订单列表
   * @param param
   * @param callBack
   */
  public getListStarbucks(param: object, callBack:any) {
    this.http.get(environment.orderUrl + 'orderStarbucks/getListStarbucks?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

}
