import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OrderService {

  constructor(private http: HttpClient) { }

  /**
   * 查询订单
   * @param orderNo
   * @param callBack
   */
  public queryOrder(orderNo: string, callBack:any) {
    this.http.get(environment.orderUrl + 'queryOrder?orderNo='+ orderNo).subscribe(data => {
      callBack(data);
    });
  }
}
